Package org.eclipse.m2m.atl.emftvm

# Interface OutputRuleElement

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `NamedElement`, `org.eclipse.emf.common.notify.Notifier`, `RuleElement`, `TypedElement`

All Known Implementing Classes:
  `OutputRuleElementImpl`

public interface OutputRuleElement extends RuleElement
A representation of the model object 'Output Rule Element'.

See Also:
  - `EmftvmPackage.getOutputRuleElement()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<InputRuleElement>`
`getMapsTo()`
Returns the value of the 'Maps To' reference list.
`Rule`
`getOutputFor()`
Returns the value of the 'Output For' container reference.
`void`
`setOutputFor(Rule value)`
Sets the value of the '`Output For`' container reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.RuleElement

`getEModels, getModels`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.TypedElement

`getEType, getType, getTypeModel, setEType, setType, setTypeModel`

## Method Details

### getMapsTo

org.eclipse.emf.common.util.EList<InputRuleElement> getMapsTo()
Returns the value of the 'Maps To' reference list. The list contents are of type `InputRuleElement`.

If the meaning of the 'Maps To' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Maps To' reference list.
See Also:
  - `EmftvmPackage.getOutputRuleElement_MapsTo()`

### getOutputFor

Rule getOutputFor()
Returns the value of the 'Output For' container reference. It is bidirectional and its opposite is '`Output Elements`'.

If the meaning of the 'Output For' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Output For' container reference.
See Also:
  - `setOutputFor(Rule)`
  - `EmftvmPackage.getOutputRuleElement_OutputFor()`
  - `Rule.getOutputElements()`

### setOutputFor

void setOutputFor(Rule value)
Sets the value of the '`Output For`' container reference.

Parameters:
  `value` - the new value of the 'Output For' container reference.
See Also:
  - `getOutputFor()`